Create Fields
/unified/ticketing/fields
Query Parameters
Refer Specifying query parameters in Truto APIs
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barRequest Body
Refer Writing data using Unified APIs
The field's description
3 supported
The entity type the field belongs to
ticket_typeticketcollectionuserticketcontactticketproject
3 supported1 required
ticketcontactticketprojectWhether the field is hidden
2 supported
Whether the field is required
3 supported
The field's label
2 supported1 required
The field's name. This is the name of the property in the entity.
3 supported
The field's options
2 supported
The option's description
Whether the option is hidden
The option's label
The option's value
Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.
The field's type. If no clear mapping exists, then raw value is returned.
stringtextrich_textnumberbooleandatedatetimetimeenumarrayfilestringtextnumberbooleanenumdate+ 5 more
3 supported1 required
stringtextnumberbooleanenumdateResponse Body
The unique identifier of the applicable
The context in which the field is applicable
collectionworkspaceticket
The date and time of the field's creation
3 supported
The field's description
3 supported
The unique identifier for the entity the field belongs to
The entity type the field belongs to
ticket_typeticketcollectionuser
3 supported
The unique identifier for the specific version of the resource.
The field's format.
The field's unique identifier
3 supported
Whether the field is hidden
2 supported
Whether the field is required
3 supported
Whether the field is unique
Whether the field is user defined
2 supported
The field's label
2 supported
The field's name. This is the name of the property in the entity.
3 supported
The field's options
2 supported
The option's description
Whether the option is hidden
The option's label
The option's value
Raw data returned from the remote API call.
The status of the field
activearchived
2 supported
The ticket_type's unique identifier
The field's type. If no clear mapping exists, then raw value is returned.
stringtextrich_textnumberbooleandatedatetimetimeenumarrayfile
3 supported
The date and time of the field's last update
3 supported
curl -X POST 'https://api.truto.one/unified/ticketing/fields?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"entity_type": "ticket_type",
"type": "string",
"options": [],
"label": "your_label",
"description": "your_description",
"is_required": true,
"name": "your_name",
"is_hidden": true,
"remote_data": {}
}'const integratedAccountId = '<integrated_account_id>';
const body = {
"entity_type": "ticket_type",
"type": "string",
"options": [],
"label": "your_label",
"description": "your_description",
"is_required": true,
"name": "your_name",
"is_hidden": true,
"remote_data": {}
};
const response = await fetch(`https://api.truto.one/unified/ticketing/fields?integrated_account_id=${integratedAccountId}`, {
method: 'POST',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ticketing/fields"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
payload = {
"entity_type": "ticket_type",
"type": "string",
"options": [],
"label": "your_label",
"description": "your_description",
"is_required": True,
"name": "your_name",
"is_hidden": True,
"remote_data": {}
}
response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.create(
'ticketing',
'fields',
{
"entity_type": "ticket_type",
"type": "string",
"options": [],
"label": "your_label",
"description": "your_description",
"is_required": true,
"name": "your_name",
"is_hidden": true,
"remote_data": {}
},
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.create(
"ticketing",
"fields",
{
"entity_type": "ticket_type",
"type": "string",
"options": [],
"label": "your_label",
"description": "your_description",
"is_required": True,
"name": "your_name",
"is_hidden": True,
"remote_data": {}
},
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())